class StandardPart implements Part {

    private final String name;

    StandardPart(String name){
        this.name = name;
    }

    @Override
    public String name() {
        return name;
    }
    
    @Override
    public String toString() {
        return "StandardPart{" +
               "name='" + name + "\'" +
               "}";
    }
}
